/*
 * Copyright 2020, The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/* Generated by generate_translations - DO NOT EDIT */

#include <teeui/localization/ConfirmationUITranslations.h>

#include <stdint.h>
#include <string.h>

#include <stdio.h>

namespace teeui {
namespace localization {

extern int langIdMatch(const char* const* lang_ids, const char* lang_id);

}  // namespace localization
}  // namespace teeui

using namespace ::teeui::localization;

#define ASSERT_STR(str1, str2) \
    do { \
        if (strcmp(str1, str2) != 0) { \
            printf("%s:%d: Assertion failed: '%s' != '%s'\n", \
                    __FILE__, __LINE__, str1, str2); \
            return 1; \
        } \
    } while (0)

static const char* test_lang_id_match(const char* lang_ids[], const char* lang_id) {
    int ret = langIdMatch(lang_ids, lang_id);
    if (ret < 0) {
        return "";
    }
    return lang_ids[ret];
}

/* "common_typos_disable" this is to pacify the lint bot of
    android.googlesource.com, this are translations for the texts, so it should
    not be checked by lint for misspelling. */
int main() {
    /* Tests for untranslated languages */
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Press any volume button to cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancel");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirm");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Press power to confirm");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Double-press power to confirm");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Review the details on this screen carefully. Only confirm if the information is correct.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android Protected Confirmation");

    /* Tests for languages without translation */
    selectLangId("nosuch-LA");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Press any volume button to cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancel");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirm");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Press power to confirm");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Double-press power to confirm");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Review the details on this screen carefully. Only confirm if the information is correct.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android Protected Confirmation");

    /* Tests for untranslated language (en) */
    selectLangId("en");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Press any volume button to cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancel");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirm");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Press power to confirm");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Double-press power to confirm");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Review the details on this screen carefully. Only confirm if the information is correct.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android Protected Confirmation");

    /* Tests for language af */
    selectLangId("af");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Kanselleer");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Druk enige volumeknoppie om te kanselleer");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Kanselleer");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Kanselleer");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Bevestig");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Druk aan/af-skakelaar om te bevestig");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Dubbeldruk aan/af-skakelaar om te bevestig");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Gaan die besonderhede op hierdie skerm versigtig na. Bevestig net as die inligting korrek is.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android se Beskermde Bevestiging");

    /* Tests for language am */
    selectLangId("am");
    ASSERT_STR(lookup(TranslationId::CANCEL), "ይቅር");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "ለመሰረዝ ማናቸውንም የድምፅ አዝራር ይጫኑ");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "ይቅር");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "ይቅር");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "አረጋግጥ");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "ለማረጋገጥ ኃይልን ይጫኑ");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "ለማረጋገጥ ኃይልን ሁለቴ ይጫኑ");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "በዚህ ማያ ገጽ ላይ ዝርዝሮችን በጥንቃቄ ይገምግሙ። መረጃው ትክክል ከሆነ ብቻ ያረጋግጡ።");
    ASSERT_STR(lookup(TranslationId::TITLE), "በAndroid ጥበቃ የሚደረግለት ማረጋገጫ");

    /* Tests for language ar */
    selectLangId("ar");
    ASSERT_STR(lookup(TranslationId::CANCEL), "إلغاء");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "اضغط على أي زر من أزرار مستوى الصوت لإلغاء الإجراء.");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "إلغاء");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "إلغاء");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "تأكيد");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "اضغط على زر التشغيل لتأكيد الإجراء.");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "اضغط على زر التشغيل مرتين لتأكيد الإجراء.");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "يمكنك مراجعة التفاصيل على هذه الشاشة بعناية. يجب عدم التأكيد إلا إذا كانت المعلومات صحيحة.");
    ASSERT_STR(lookup(TranslationId::TITLE), "تأكيد حماية Android");

    /* Tests for language ar_EG */
    selectLangId("ar_EG");
    ASSERT_STR(lookup(TranslationId::CANCEL), "إلغاء");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "اضغط على أي زر من أزرار مستوى الصوت لإلغاء الإجراء.");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "إلغاء");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "إلغاء");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "تأكيد");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "اضغط على زر التشغيل لتأكيد الإجراء.");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "اضغط على زر التشغيل مرتين لتأكيد الإجراء.");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "يمكنك مراجعة التفاصيل على هذه الشاشة بعناية. يجب عدم التأكيد إلا إذا كانت المعلومات صحيحة.");
    ASSERT_STR(lookup(TranslationId::TITLE), "تأكيد حماية Android");

    /* Tests for language ar_JO */
    selectLangId("ar_JO");
    ASSERT_STR(lookup(TranslationId::CANCEL), "إلغاء");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "اضغط على أي زر من أزرار مستوى الصوت لإلغاء الإجراء.");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "إلغاء");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "إلغاء");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "تأكيد");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "اضغط على زر التشغيل لتأكيد الإجراء.");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "اضغط على زر التشغيل مرتين لتأكيد الإجراء.");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "يمكنك مراجعة التفاصيل على هذه الشاشة بعناية. يجب عدم التأكيد إلا إذا كانت المعلومات صحيحة.");
    ASSERT_STR(lookup(TranslationId::TITLE), "تأكيد حماية Android");

    /* Tests for language ar_MA */
    selectLangId("ar_MA");
    ASSERT_STR(lookup(TranslationId::CANCEL), "إلغاء");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "اضغط على أي زر من أزرار مستوى الصوت لإلغاء الإجراء.");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "إلغاء");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "إلغاء");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "تأكيد");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "اضغط على زر التشغيل لتأكيد الإجراء.");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "اضغط على زر التشغيل مرتين لتأكيد الإجراء.");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "يمكنك مراجعة التفاصيل على هذه الشاشة بعناية. يجب عدم التأكيد إلا إذا كانت المعلومات صحيحة.");
    ASSERT_STR(lookup(TranslationId::TITLE), "تأكيد حماية Android");

    /* Tests for language ar_SA */
    selectLangId("ar_SA");
    ASSERT_STR(lookup(TranslationId::CANCEL), "إلغاء");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "اضغط على أي زر من أزرار مستوى الصوت لإلغاء الإجراء.");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "إلغاء");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "إلغاء");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "تأكيد");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "اضغط على زر التشغيل لتأكيد الإجراء.");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "اضغط على زر التشغيل مرتين لتأكيد الإجراء.");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "يمكنك مراجعة التفاصيل على هذه الشاشة بعناية. يجب عدم التأكيد إلا إذا كانت المعلومات صحيحة.");
    ASSERT_STR(lookup(TranslationId::TITLE), "تأكيد حماية Android");

    /* Tests for language ar_XB */
    selectLangId("ar_XB");
    ASSERT_STR(lookup(TranslationId::CANCEL), "‏‮Cancel‬‏");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "‏‮Press‬‏ ‏‮any‬‏ ‏‮volume‬‏ ‏‮button‬‏ ‏‮to‬‏ ‏‮cancel‬‏");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "‏‮Cancel‬‏");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "‏‮Cancel‬‏");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "‏‮Confirm‬‏");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "‏‮Press‬‏ ‏‮power‬‏ ‏‮to‬‏ ‏‮confirm‬‏");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "‏‮Double‬‏-‏‮press‬‏ ‏‮power‬‏ ‏‮to‬‏ ‏‮confirm‬‏");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "‏‮Review‬‏ ‏‮the‬‏ ‏‮details‬‏ ‏‮on‬‏ ‏‮this‬‏ ‏‮screen‬‏ ‏‮carefully‬‏. ‏‮Only‬‏ ‏‮confirm‬‏ ‏‮if‬‏ ‏‮the‬‏ ‏‮information‬‏ ‏‮is‬‏ ‏‮correct‬‏.");
    ASSERT_STR(lookup(TranslationId::TITLE), "‏‮Android‬‏ ‏‮Protected‬‏ ‏‮Confirmation‬‏");

    /* Tests for language as */
    selectLangId("as");
    ASSERT_STR(lookup(TranslationId::CANCEL), "বাতিল কৰক");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "বাতিল কৰিবলৈ যিকোনো ভলিউম বুটাম হেঁচক");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "বাতিল কৰক");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "বাতিল কৰক");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "নিশ্চিত কৰক");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "নিশ্চিত কৰিবলৈ পাৱাৰ বুটাম হেঁচক");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "নিশ্চিত কৰিবলৈ পাৱাৰ বুটামটো দুবাৰ হেঁচক");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "এই স্ক্ৰীনত থকা সবিশেষ সাৱধানে পৰ্যালোচনা কৰক। তথ্যখিনি শুদ্ধ হ’লেহে কেৱল নিশ্চিত কৰক।");
    ASSERT_STR(lookup(TranslationId::TITLE), "Androidৰ সুৰক্ষা সম্পৰ্কীয় প্ৰতিশ্ৰুতি");

    /* Tests for language az */
    selectLangId("az");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Ləğv edin");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Ləğv etmək üçün istənilən səs düyməsinə basın");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Ləğv edin");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Ləğv edin");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Təsdiq edin");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Təsdiq etmək üçün yandırıb-söndürmə düyməsinə basın");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Təsdiqləmək üçün iki dəfə yandırıb-söndürmək düyməsinə basın");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Bu ekrandakı detalları diqqətlə nəzərdən keçirin. Ancaq məlumat doğru olduqda təsdiqləyin.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Qorunan Android Təsdiqi");

    /* Tests for language be */
    selectLangId("be");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Скасаваць");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Націсніце любую кнопку гучнасці, каб cкасаваць");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Скасаваць");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Скасаваць");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Пацвердзіць");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Націсніце кнопку сілкавання, каб пацвердзіць");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Двойчы націсніце кнопку сілкавання, каб пацвердзіць");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Уважліва праглядзіце падрабязныя звесткі на экране. Пацвердзіце, толькі калі інфармацыя правільная.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Пацвярджэнне Android Protected");

    /* Tests for language bg */
    selectLangId("bg");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Отказ");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Натиснете някой от бутоните за силата на звука, за да анулирате");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Отказ");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Отказ");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Потвърждаване");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Натиснете бутона за захранване, за да потвърдите");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Натиснете два пъти бутона за захранване, за да потвърдите");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Прегледайте внимателно подробностите на този екран. Потвърдете само ако информацията е правилна.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Защитно потвърждение за Android");

    /* Tests for language bn */
    selectLangId("bn");
    ASSERT_STR(lookup(TranslationId::CANCEL), "বাতিল করুন");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "বাতিল করতে ভলিউমের যেকোনও বোতাম টিপুন");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "বাতিল করুন");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "বাতিল করুন");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "কনফার্ম করুন");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "নিশ্চিত করতে পাওয়ার বোতাম টিপুন");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "নিশ্চিত করতে পাওয়ার বোতাম দুবার টিপুন");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "এই স্ক্রিনে ভাল করে বিবরণের পর্যালোচনা করুন। একমাত্র তথ্যটি সঠিক হলে তবেই কনফার্ম করুন।");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android প্রোটেক্টেড কনফার্মেশন");

    /* Tests for language bs */
    selectLangId("bs");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Otkaži");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Pritisnite bilo koje dugme za podešavanje jačine zvuka da otkažete");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Otkaži");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Otkaži");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Potvrdi");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Pritisnite dugme za napajanje za potvrdu");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Dva puta pritisnite dugme za napajanje da potvrdite");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Pregledajte pažljivo detalje na ovom ekranu. Potvrdite samo ako su informacije tačne.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Potvrda zaštite na Androidu");

    /* Tests for language ca */
    selectLangId("ca");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancel·la");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Prem qualsevol botó de volum per cancel·lar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancel·la");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancel·la");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirma");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Prem el botó d\'engegada per confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Prem dos cops el botó d\'engegada per confirmar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Revisa detingudament els detalls en aquesta pantalla. Només has de confirmar si la informació és correcta.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmació de protecció d\'Android");

    /* Tests for language cs */
    selectLangId("cs");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Zrušit");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Zrušte stisknutím tlačítka hlasitosti");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Zrušit");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Zrušit");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Potvrdit");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Potvrďte stisknutím vypínače");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Potvrďte dvojitým stisknutím vypínače");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Údaje na této obrazovce pečlivě zkontrolujte. Potvrďte je, pouze pokud jsou správné.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Potvrzení ochrany Androidu");

    /* Tests for language da */
    selectLangId("da");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Annuller");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Tryk på en af lydstyrkeknapperne for at annullere");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Annuller");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Annuller");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Bekræft");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Tryk på afbryderknappen for at bekræfte");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Tryk to gange på afbryderknappen for at bekræfte");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Gennemgå oplysningerne på denne skærm nøje. Bekræft kun oplysningerne, hvis de er korrekte.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Beskyttet bekræftelse i Android");

    /* Tests for language de */
    selectLangId("de");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Abbrechen");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Zum Abbrechen eine beliebige Lautstärketaste drücken");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Abbrechen");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Abbrechen");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Bestätigen");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Drücke zum Bestätigen die Ein-/Aus-Taste");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Zum Bestätigen die Ein-/Aus-Taste zweimal drücken");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Prüfe die Daten auf diesem Bildschirm sorgfältig. Bestätige die Daten nur, wenn sie wirklich korrekt sind.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android geschützte Bestätigung");

    /* Tests for language de_AT */
    selectLangId("de_AT");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Abbrechen");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Zum Abbrechen eine beliebige Lautstärketaste drücken");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Abbrechen");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Abbrechen");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Bestätigen");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Drücke zum Bestätigen die Ein-/Aus-Taste");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Zum Bestätigen die Ein-/Aus-Taste zweimal drücken");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Prüfe die Daten auf diesem Bildschirm sorgfältig. Bestätige die Daten nur, wenn sie wirklich korrekt sind.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android geschützte Bestätigung");

    /* Tests for language de_CH */
    selectLangId("de_CH");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Abbrechen");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Zum Abbrechen eine beliebige Lautstärketaste drücken");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Abbrechen");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Abbrechen");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Bestätigen");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Drücke zum Bestätigen die Ein-/Aus-Taste");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Zum Bestätigen die Ein-/Aus-Taste zweimal drücken");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Prüfe die Daten auf diesem Bildschirm sorgfältig. Bestätige die Daten nur, wenn sie wirklich korrekt sind.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android geschützte Bestätigung");

    /* Tests for language el */
    selectLangId("el");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Άκυρο");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Πατήστε οποιοδήποτε κουμπί έντασης ήχου για ακύρωση");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Ακύρωση");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Ακύρωση");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Επιβεβαίωση");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Πατήστε το κουμπί λειτουργίας για επιβεβαίωση");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Πατήστε δύο φορές το κουμπί λειτουργίας για επιβεβαίωση");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Διαβάστε προσεκτικά τις λεπτομέρειες σε αυτήν την οθόνη. Επιβεβαιώστε μόνο αν οι πληροφορίες είναι σωστές.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Επιβεβαίωση προστασίας Android");

    /* Tests for language en_AU */
    selectLangId("en_AU");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Press any volume button to cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancel");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirm");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Press power to confirm");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Double-press power to confirm");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Review the details on this screen carefully. Only confirm if the information is correct.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android Protected Confirmation");

    /* Tests for language en_CA */
    selectLangId("en_CA");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Press any volume button to cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancel");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirm");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Press power to confirm");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Double-press power to confirm");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Review the details on this screen carefully. Only confirm if the information is correct.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android Protected Confirmation");

    /* Tests for language en_GB */
    selectLangId("en_GB");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Press any volume button to cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancel");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirm");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Press power to confirm");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Double-press power to confirm");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Review the details on this screen carefully. Only confirm if the information is correct.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android Protected Confirmation");

    /* Tests for language en_IE */
    selectLangId("en_IE");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Press any volume button to cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancel");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirm");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Press power to confirm");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Double-press power to confirm");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Review the details on this screen carefully. Only confirm if the information is correct.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android Protected Confirmation");

    /* Tests for language en_IN */
    selectLangId("en_IN");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Press any volume button to cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancel");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirm");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Press power to confirm");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Double-press power to confirm");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Review the details on this screen carefully. Only confirm if the information is correct.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android Protected Confirmation");

    /* Tests for language en_NZ */
    selectLangId("en_NZ");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Press any volume button to cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancel");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirm");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Press power to confirm");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Double-press power to confirm");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Review the details on this screen carefully. Only confirm if the information is correct.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android Protected Confirmation");

    /* Tests for language en_SG */
    selectLangId("en_SG");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Press any volume button to cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancel");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirm");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Press power to confirm");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Double-press power to confirm");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Review the details on this screen carefully. Only confirm if the information is correct.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android Protected Confirmation");

    /* Tests for language en_ZA */
    selectLangId("en_ZA");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Press any volume button to cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancel");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancel");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirm");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Press power to confirm");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Double-press power to confirm");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Review the details on this screen carefully. Only confirm if the information is correct.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android Protected Confirmation");

    /* Tests for language es */
    selectLangId("es");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Pulsa cualquier botón de volumen para cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Pulsa el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Pulsa dos veces el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Revisa detenidamente la información de esta pantalla y, si es correcta, confirma que quieres seguir.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmación protegida por Android");

    /* Tests for language es_419 */
    selectLangId("es_419");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmación de protección de Android");

    /* Tests for language es_AR */
    selectLangId("es_AR");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmación de protección de Android");

    /* Tests for language es_BO */
    selectLangId("es_BO");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmación de protección de Android");

    /* Tests for language es_CL */
    selectLangId("es_CL");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmación de protección de Android");

    /* Tests for language es_CO */
    selectLangId("es_CO");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmación de protección de Android");

    /* Tests for language es_CR */
    selectLangId("es_CR");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmación de protección de Android");

    /* Tests for language es_DO */
    selectLangId("es_DO");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmación de protección de Android");

    /* Tests for language es_EC */
    selectLangId("es_EC");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmación de protección de Android");

    /* Tests for language es_GT */
    selectLangId("es_GT");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmación de protección de Android");

    /* Tests for language es_HN */
    selectLangId("es_HN");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmación de protección de Android");

    /* Tests for language es_MX */
    selectLangId("es_MX");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmación de protección de Android");

    /* Tests for language es_NI */
    selectLangId("es_NI");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmación de protección de Android");

    /* Tests for language es_PA */
    selectLangId("es_PA");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmación de protección de Android");

    /* Tests for language es_PE */
    selectLangId("es_PE");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmación de protección de Android");

    /* Tests for language es_PR */
    selectLangId("es_PR");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmación de protección de Android");

    /* Tests for language es_PY */
    selectLangId("es_PY");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmación de protección de Android");

    /* Tests for language es_SV */
    selectLangId("es_SV");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmación de protección de Android");

    /* Tests for language es_US */
    selectLangId("es_US");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmación de protección de Android");

    /* Tests for language es_UY */
    selectLangId("es_UY");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmación de protección de Android");

    /* Tests for language es_VE */
    selectLangId("es_VE");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmación de protección de Android");

    /* Tests for language et */
    selectLangId("et");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Loobu");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Tühistamiseks vajutage mis tahes helitugevuse nuppu");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Tühista");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Tühista");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Kinnita");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Kinnitamiseks vajutage toitenuppu");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Kinnitamiseks topeltvajutage toitenuppu");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Vaadake üksikasjad sellel kuval hoolikalt üle. Kinnitage vaid siis, kui teave on õige.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Androidi kaitstud kinnitus");

    /* Tests for language eu */
    selectLangId("eu");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Utzi");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Bertan behera uzteko, sakatu bolumen-tekla bat");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Utzi");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Utzi");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Berretsi");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Berresteko, sakatu etengailua");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Berresteko, sakatu birritan pizteko botoia");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Berrikusi kontuz pantaila honetako xehetasunak. Berretsi informazioa zuzena bada soilik.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android-en Babes-berrespena");

    /* Tests for language fa */
    selectLangId("fa");
    ASSERT_STR(lookup(TranslationId::CANCEL), "لغو");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "برای لغو، یکی از دکمه‌های میزان صدا را فشار دهید");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "لغو");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "لغو");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "تأیید");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "برای تأیید، دکمه روشن/خاموش را فشار دهید");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "برای تأیید، دکمه روشن/خاموش را دوبار فشار دهید");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "جزئیات موجود در این صفحه را به‌دقت مرور کنید. تنها درصورت صحیح بودن اطلاعات آن‌ها را تأیید کنید.");
    ASSERT_STR(lookup(TranslationId::TITLE), "تأیید محافظت‌شده Android");

    /* Tests for language fi */
    selectLangId("fi");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Peruuta");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Peruuta painamalla äänenvoimakkuuspainiketta");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Peruuta");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Peruuta");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Vahvista");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Vahvista painamalla virtapainiketta");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Vahvista painamalla virtapainiketta kahdesti");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Tarkista näytöllä näkyvät tiedot huolellisesti. Vahvista tiedot vain, jos ne pitävät paikkansa.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Vahvistus Android-suojauksesta");

    /* Tests for language fil */
    selectLangId("fil");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Kanselahin");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Pindutin ang anumang button ng volume para kanselahin");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Kanselahin");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Kanselahin");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Kumpirmahin");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Pindutin ang power para kumpirmahin");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Pindutin nang dalawang beses ang power para kumpirmahin");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Suriing mabuti ang mga detalye sa screen na ito. Kumpirmahin lang kung tama ang impormasyon.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Pagkumpirmang Pinoprotektahan ng Android");

    /* Tests for language fr */
    selectLangId("fr");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Annuler");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Appuyez sur l\'un des boutons de volume pour annuler l\'opération");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Annuler");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Annuler");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmer");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Appuyez sur le bouton Marche/Arrêt pour confirmer l\'opération");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Appuyez deux fois sur le bouton Marche/Arrêt pour confirmer l\'opération");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Lisez attentivement les informations indiquées sur cet écran. Ne les confirmez que si elles sont correctes.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmation de protection Android");

    /* Tests for language fr_CA */
    selectLangId("fr_CA");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Annuler");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Appuyez sur un bouton de volume pour annuler l\'action");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Annuler");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Annuler");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmer");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Appuyez sur l\'interrupteur pour confirmer");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Appuyez deux fois sur l\'interrupteur pour confirmer");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Examinez attentivement les renseignements affichés à l\'écran. Confirmez seulement si tout est correct.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmation protégée Android");

    /* Tests for language fr_CH */
    selectLangId("fr_CH");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Annuler");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Appuyez sur l\'un des boutons de volume pour annuler l\'opération");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Annuler");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Annuler");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmer");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Appuyez sur le bouton Marche/Arrêt pour confirmer l\'opération");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Appuyez deux fois sur le bouton Marche/Arrêt pour confirmer l\'opération");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Lisez attentivement les informations indiquées sur cet écran. Ne les confirmez que si elles sont correctes.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmation de protection Android");

    /* Tests for language gl */
    selectLangId("gl");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Preme calquera botón de volume para cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Preme o botón de acendido para confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Preme o botón de acendido dúas veces para confirmar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Revisa atentamente os detalles desta pantalla. Confírmaos só se a información é correcta.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android Protected Confirmation");

    /* Tests for language gsw */
    selectLangId("gsw");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Abbrechen");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Zum Abbrechen eine beliebige Lautstärketaste drücken");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Abbrechen");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Abbrechen");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Bestätigen");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Drücke zum Bestätigen die Ein-/Aus-Taste");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Zum Bestätigen die Ein-/Aus-Taste zweimal drücken");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Prüfe die Daten auf diesem Bildschirm sorgfältig. Bestätige die Daten nur, wenn sie wirklich korrekt sind.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android geschützte Bestätigung");

    /* Tests for language gu */
    selectLangId("gu");
    ASSERT_STR(lookup(TranslationId::CANCEL), "રદ કરો");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "રદ કરવા માટે કોઈપણ વૉલ્યૂમનું બટન દબાવો");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "રદ કરો");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "રદ કરો");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "કન્ફર્મ કરો");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "કન્ફર્મ કરવા માટે પાવર બટન દબાવો");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "કન્ફર્મ કરવા માટે પાવર પર બે વાર ટૅપ કરો");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "આ સ્ક્રીન પરની વિગતોનો ધ્યાનપૂર્વક રિવ્યૂ કરો. જો માહિતી સાચી હોય, તો જ કન્ફર્મ કરો.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android પ્રોટેક્ટેડ કન્ફર્મેશન");

    /* Tests for language he */
    selectLangId("he");
    ASSERT_STR(lookup(TranslationId::CANCEL), "ביטול");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "יש ללחוץ על לחצן כלשהו של עוצמת הקול כדי לבטל");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "ביטול");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "ביטול");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "אישור");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "יש ללחוץ על לחצן ההפעלה כדי לאשר");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "יש ללחוץ פעמיים על לחצן ההפעלה כדי לאשר");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "יש לבדוק את הפרטים שבמסך הזה בקפידה. יש לאשר רק אם המידע נכון.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android Protected Confirmation");

    /* Tests for language hi */
    selectLangId("hi");
    ASSERT_STR(lookup(TranslationId::CANCEL), "अभी नहीं");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "रद्द करने के लिए कोई भी वॉल्यूम बटन दबाएं");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "रद्द करें");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "रद्द करें");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "पुष्टि करें");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "पुष्टि करने के लिए पावर बटन दबाएं");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "पुष्टि करने के लिए पावर बटन दो बार दबाएं");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "इस स्क्रीन पर दी गई जानकारी काे ध्यान से देखें. जानकारी सही हाेने पर ही पुष्टि करें.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android की ओर से सुरक्षा की पुष्टि");

    /* Tests for language hr */
    selectLangId("hr");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Otkaži");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Pritisnite bilo koju tipku za glasnoću da biste otkazali");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Otkaži");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Otkaži");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Potvrdi");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Pritisnite tipku za uključivanje/isključivanje da biste potvrdili");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Dvaput pritisnite tipku za uključivanje/isključivanje da biste potvrdili");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Pažljivo pregledajte pojedinosti na ovom zaslonu. Potvrdite samo jesu li informacije točne.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Potvrda zaštite na Androidu");

    /* Tests for language hu */
    selectLangId("hu");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Mégse");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Nyomja meg valamelyik hangerőgombot az elvetéshez");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Mégse");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Mégse");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Megerősítés");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Nyomja meg a bekapcsológombot a megerősítéshez");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "A megerősítéshez nyomja meg duplán a bekapcsológombot");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Gondosan tekintse át a képernyőn látható részleteket. Csak akkor lépjen tovább, ha az információ helyes.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android – védett megerősítés");

    /* Tests for language hy */
    selectLangId("hy");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Չեղարկել");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Չեղարկելու համար սեղմեք ձայնի կագավորման որևէ կոճակ");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Չեղարկել");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Չեղարկել");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Հաստատել");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Հաստատելու համար սեղմեք սնուցման կոճակը");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Հաստատելու համար կրկնակի սեղմեք սնուցման կոճակը");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Ուշադիր ծանոթացեք էկրանին ցուցադրվող տեղեկություններին։ Հաստատեք միայն այն դեպքում, եթե դրանք ճիշտ են։");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android Protected-ի հաստատում");

    /* Tests for language id */
    selectLangId("id");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Batal");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Tekan tombol volume apa saja untuk membatalkan");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Batal");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Batal");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Konfirmasi");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Tekan tombol power untuk mengonfirmasi");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Tekan dua kali tombol power untuk mengonfirmasi");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Tinjau detail di layar ini dengan cermat. Konfirmasi hanya jika informasi sudah benar.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Konfirmasi yang Dilindungi Android");

    /* Tests for language in */
    selectLangId("in");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Batal");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Tekan tombol volume apa saja untuk membatalkan");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Batal");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Batal");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Konfirmasi");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Tekan tombol power untuk mengonfirmasi");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Tekan dua kali tombol power untuk mengonfirmasi");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Tinjau detail di layar ini dengan cermat. Konfirmasi hanya jika informasi sudah benar.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Konfirmasi yang Dilindungi Android");

    /* Tests for language is */
    selectLangId("is");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Hætta við");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Ýttu á hvaða hljóðstyrkshnapp sem er til að hætta við");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Hætta við");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Hætta við");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Staðfesta");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Ýttu á aflrofann til að staðfesta");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Ýttu tvisvar á aflrofann til að staðfesta");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Farðu vandlega yfir upplýsingarnar á skjánum. Staðfestu aðeins ef upplýsingarnar eru réttar.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Varin staðfesting Android");

    /* Tests for language it */
    selectLangId("it");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Annulla");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Premi qualsiasi pulsante del volume per annullare");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Annulla");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Annulla");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Conferma");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Premi il tasto di accensione per confermare");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Premi due volte il tasto di accensione per confermare");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Esamina attentamente i dettagli in questa schermata. Conferma solo se le informazioni sono corrette.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Conferma Android Protected");

    /* Tests for language iw */
    selectLangId("iw");
    ASSERT_STR(lookup(TranslationId::CANCEL), "ביטול");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "יש ללחוץ על לחצן כלשהו של עוצמת הקול כדי לבטל");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "ביטול");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "ביטול");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "אישור");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "יש ללחוץ על לחצן ההפעלה כדי לאשר");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "יש ללחוץ פעמיים על לחצן ההפעלה כדי לאשר");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "יש לבדוק את הפרטים שבמסך הזה בקפידה. יש לאשר רק אם המידע נכון.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android Protected Confirmation");

    /* Tests for language ja */
    selectLangId("ja");
    ASSERT_STR(lookup(TranslationId::CANCEL), "キャンセル");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "キャンセルするには、いずれかの音量ボタンを押します");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "キャンセル");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "キャンセル");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "確認");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "確認するには、電源を押します");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "確認するには、電源を 2 回押します");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "この画面上の詳細情報を慎重にご確認ください。情報が正しい場合のみ確定してください。");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android Protected の確認");

    /* Tests for language ka */
    selectLangId("ka");
    ASSERT_STR(lookup(TranslationId::CANCEL), "გაუქმება");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "გასაუქმებლად დააჭირეთ ხმის რეგულირების ნებისმიერ ღილაკს");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "გაუქმება");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "გაუქმება");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "დადასტურება");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "დასადასტურებლად დააჭირეთ ჩართვის ღილაკს");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "დასადასტურებლად ორმაგად დააჭირეთ ჩართვის ღილაკს");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "ყურადღებით გაეცანით ამ ეკრანზე მოცემულ დეტალებს. დაადასტურეთ მხოლოდ იმ შემთხვევაში, თუ ინფორმაცია სწორია.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android-ის დაცული დადასტურება");

    /* Tests for language kk */
    selectLangId("kk");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Бас тарту");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Бас тарту үшін кез келген дыбыс деңгейі түймесін басыңыз");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Бас тарту");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Бас тарту");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Растау");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Растау үшін қуат түймесін басыңыз");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Растау үшін қуат түймесін екі рет басыңыз");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Осы экрандағы мәліметтерді мұқият оқыңыз. Ақпарат дұрыс болса ғана, растаңыз.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android Protected Confirmation");

    /* Tests for language km */
    selectLangId("km");
    ASSERT_STR(lookup(TranslationId::CANCEL), "បោះបង់");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "ចុចប៊ូតុង​កម្រិតសំឡេង​ណាមួយ​ដើម្បីបោះបង់");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "បោះបង់");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "បោះបង់");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "បញ្ជាក់");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "ចុច​ប៊ូតុង​ថាមពល​ដើម្បី​បញ្ជាក់");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "ចុច​ប៊ូតុង​ថាមពល​ពីរដង​ដើម្បី​បញ្ជាក់");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "ពិនិត្យមើល​ព័ត៌មានលម្អិត​នៅលើអេក្រង់នេះ​ដោយប្រុងប្រយ័ត្ន។ គ្រាន់តែបញ្ជាក់ប៉ុណ្ណោះ ប្រសិនបើ​ព័ត៌មាននេះ​ត្រឹមត្រូវ។");
    ASSERT_STR(lookup(TranslationId::TITLE), "ការ​បញ្ជាក់​ដែលបាន​ការពារ Android");

    /* Tests for language kn */
    selectLangId("kn");
    ASSERT_STR(lookup(TranslationId::CANCEL), "ರದ್ದುಗೊಳಿಸಿ");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "ರದ್ದುಗೊಳಿಸಲು ಯಾವುದೇ ವಾಲ್ಯೂಮ್‌ ಬಟನ್ ಒತ್ತಿರಿ");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "ರದ್ದು");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "ರದ್ದು");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "ಖಚಿತಪಡಿಸಿ");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "ದೃಢೀಕರಿಸಲು ಪವರ್ ಬಟನ್ ಒತ್ತಿರಿ");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "ದೃಢೀಕರಿಸಲು ಪವರ್‌ ಬಟನ್‌ ಅನ್ನು ಎರಡು ಬಾರಿ ಒತ್ತಿರಿ");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "ಈ ಸ್ಕ್ರೀನ್‌ ಮೇಲಿರುವ ವಿವರಗಳನ್ನು ಎಚ್ಚರಿಕೆಯಿಂದ ಪರಿಶೀಲಿಸಿ. ಮಾಹಿತಿ ಸರಿಯಾಗಿದ್ದರೆ ಮಾತ್ರ ದೃಢೀಕರಿಸಿ.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android ಸಂರಕ್ಷಿತ ದೃಢೀಕರಣ");

    /* Tests for language ko */
    selectLangId("ko");
    ASSERT_STR(lookup(TranslationId::CANCEL), "취소");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "취소하려면 볼륨 버튼 중 하나를 누르세요.");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "취소");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "취소");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "확인");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "확인하려면 전원 버튼을 누르세요.");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "확인하려면 전원 버튼을 두 번 누르세요.");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "현재 화면의 세부정보를 자세히 검토하세요. 정보가 정확한 경우에만 확인해 주세요.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android 보안 확인");

    /* Tests for language ky */
    selectLangId("ky");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Жок");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Жокко чыгаруу үчүн үн көлөмүнүн баскычтарынын бирин басыңыз");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Жокко чыгаруу");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Жокко чыгаруу");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Ырастоо");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Ырастоо үчүн \"Кубат\" баскычын басыңыз");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Ырастоо үчүн \"Кубат\" баскычын эки жолу басыңыз");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Бул экрандагы маалыматты карап чыгыңыз. Ал туура болсо гана ырастаңыз.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android Protected ырастоосу");

    /* Tests for language ln */
    selectLangId("ln");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Annuler");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Appuyez sur l\'un des boutons de volume pour annuler l\'opération");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Annuler");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Annuler");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmer");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Appuyez sur le bouton Marche/Arrêt pour confirmer l\'opération");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Appuyez deux fois sur le bouton Marche/Arrêt pour confirmer l\'opération");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Lisez attentivement les informations indiquées sur cet écran. Ne les confirmez que si elles sont correctes.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmation de protection Android");

    /* Tests for language lo */
    selectLangId("lo");
    ASSERT_STR(lookup(TranslationId::CANCEL), "ຍົກເລີກ");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "ກົດປຸ່ມສຽງຂຶ້ນ ຫຼື ລົງເພື່ອຍົກເລີກ");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "ຍົກເລີກ");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "ຍົກເລີກ");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "ຢືນຢັນ");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "ກົດປຸ່ມເປີດປິດເພື່ອຢືນຢັນ");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "ກົດປຸ່ມປິດເປີດເຄື່ອງສອງຄັ້ງເພື່ອຢືນຢັນ");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "ກວດສອບລາຍລະອຽດຢູ່ໜ້າຈໍນີ້ຢ່າງລະມັດລະວັງ. ຢືນຢັນສະເພາະເມື່ອຂໍ້ມູນຖືກຕ້ອງເທົ່ານັ້ນ.");
    ASSERT_STR(lookup(TranslationId::TITLE), "ການຢືນຢັນ Android ທີ່ໄດ້ຮັບການປົກປ້ອງ");

    /* Tests for language lt */
    selectLangId("lt");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Atšaukti");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Paspauskite bet kurį garsumo mygtuką, kad atšauktumėte");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Atšaukti");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Atšaukti");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Patvirtinti");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Paspauskite maitinimo mygtuką, kad patvirtintumėte");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Dukart paspauskite maitinimo mygtuką, kad patvirtintumėte");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Atidžiai peržiūrėkite išsamią informaciją šiame ekrane. Patvirtinkite, tik jei informacija yra tinkama.");
    ASSERT_STR(lookup(TranslationId::TITLE), "„Android Protected“ patvirtinimas");

    /* Tests for language lv */
    selectLangId("lv");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Atcelt");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Lai atceltu, nospiediet jebkuru skaļuma pogu");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Atcelt");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Atcelt");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Apstiprināt");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Lai apstiprinātu, nospiediet barošanas pogu");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Lai apstiprinātu, divreiz nospiediet barošanas pogu");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Rūpīgi pārskatiet šajā ekrānā redzamo informāciju. Apstipriniet informāciju tikai tad, ja tā ir pareiza.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android aizsargātā informācija");

    /* Tests for language mk */
    selectLangId("mk");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Откажи");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Притиснете на кое било копче за јачина на звук за да откажете");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Откажи");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Откажи");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Потврди");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Притиснете на копчето за напојување за да потврдите");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Притиснете на копчето за напојување двапати за да потврдите");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Внимателно прегледајте ги деталите на екранов. Потврдете само ако податоците се точни.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Потврда за заштита на Android");

    /* Tests for language ml */
    selectLangId("ml");
    ASSERT_STR(lookup(TranslationId::CANCEL), "റദ്ദാക്കുക");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "റദ്ദാക്കാൻ എതെങ്കിലും വോളിയം ബട്ടൺ അമർത്തുക");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "റദ്ദാക്കുക");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "റദ്ദാക്കുക");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "സ്ഥിരീകരിക്കുക");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "സ്ഥിരീകരിക്കാൻ പവർ അമർത്തുക");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "സ്ഥിരീകരിക്കാൻ പവർ രണ്ടുതവണ അമർത്തുക");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "ഈ സ്ക്രീനിലെ വിശദാംശങ്ങൾ ശ്രദ്ധാപൂർവ്വം അവലോകനം ചെയ്യുക. വിവരങ്ങൾ ശരിയാണെങ്കിൽ മാത്രം സ്ഥിരീകരിക്കുക.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android സംരക്ഷിത സ്ഥിരീകരണം");

    /* Tests for language mn */
    selectLangId("mn");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Болих");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Болихын тулд дууны түвшний товчлуурын аль нэгийг нь дарах");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Болих");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Болих");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Баталгаажуулах");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Баталгаажуулахын тулд унтраах/асаахыг дарах");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Баталгаажуулахын тулд унтраах/асаахыг хоёр удаа дарах");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Энэ дэлгэц дээрх дэлгэрэнгүй мэдээллийг анхааралтай шалгана уу. Зөвхөн мэдээлэл зөв тохиолдолд баталгаажуулна уу.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Андройдоор хамгаалсан баталгаажуулалт");

    /* Tests for language mo */
    selectLangId("mo");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Anulați");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Apăsați orice buton de volum pentru a anula");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Anulați");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Anulați");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmați");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Apăsați butonul de pornire pentru a confirma");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Apăsați de două ori butonul de pornire pentru a confirma");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Examinați cu atenție detaliile de pe acest ecran. Confirmați numai dacă informațiile sunt corecte.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmare protecție pentru Android");

    /* Tests for language mr */
    selectLangId("mr");
    ASSERT_STR(lookup(TranslationId::CANCEL), "रद्द करा");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "रद्द करण्‍यासाठी कोणतेही व्‍हॉल्‍यूम बटण दाबा");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "रद्द करा");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "रद्द करा");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "निश्चित करा");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "निश्चित करण्‍यासाठी पॉवर दाबा");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "खात्री करण्‍यासाठी पॉवर बटण दोनदा दाबा");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "या स्क्रीनवरील माहितीचे काळजीपूर्वक पुनरावलोकन करा. माहिती बरोबर असल्यावरच कन्फर्म करा.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android कडून सुरक्षा निश्चित करणे");

    /* Tests for language ms */
    selectLangId("ms");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Batal");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Tekan sebarang butang kelantangan untuk membatalkan tindakan");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Batal");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Batal");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Sahkan");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Tekan kuasa untuk mengesahkan");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Tekan dua kali butang kuasa untuk mengesahkan");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Semak butiran pada skrin ini dengan teliti. Sahkan hanya sekiranya maklumat tersebut betul.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Pengesahan Dilindungi Android");

    /* Tests for language my */
    selectLangId("my");
    ASSERT_STR(lookup(TranslationId::CANCEL), "မလုပ်တော့");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "ပယ်ဖျက်ရန် အသံအတိုးအကျယ်ခလုတ် တစ်ခုခုကိုနှိပ်ပါ");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "မလုပ်တော့");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "မလုပ်တော့");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "အတည်ပြုရန်");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "အတည်ပြုရန် ပါဝါခလုတ်နှိပ်ပါ");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "အတည်ပြုရန် ပါဝါခလုတ်ကို နှစ်ချက်နှိပ်ပါ");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "ဤဖန်သားပြင်တွင် အသေးစိတ်ကို ဂရုတစိုက် သုံးသပ်ပါ။ အချက်အလက် မှန်ကန်မှသာ အတည်ပြုပါ။");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android ကာကွယ်မှု အတည်ပြုချက်");

    /* Tests for language nb */
    selectLangId("nb");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Avbryt");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Trykk på en volumknapp for å avbryte");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Avbryt");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Avbryt");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Bekreft");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Trykk på av/på-knappen for å bekrefte");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Dobbelttrykk på av/på-knappen for å bekrefte");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Gå nøye gjennom informasjonen på denne skjermen. Bare bekreft hvis informasjonen er riktig.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android-beskyttet bekreftelse");

    /* Tests for language ne */
    selectLangId("ne");
    ASSERT_STR(lookup(TranslationId::CANCEL), "रद्द गर्नुहोस्");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "रद्द गर्नका लागि कुनै भोल्युम बटन थिच्नुहोस्");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "रद्द गर्नुहोस्");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "रद्द गर्नुहोस्");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "पुष्टि गर्नुहोस्");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "पुष्टि गर्न पावर बटनमा थिच्नुहोस्");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "पुष्टि गर्न पावर बटनमा दुई पटक थिच्नुहोस्");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "यो स्क्रिनमा भएका विवरणहरूको ध्यान दिएर समीक्षा गर्नुहोस्। जानकारी सही भएमा मात्र पुष्टि गर्नुहोस्।");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android द्वारा संरक्षण गरिएको पुष्टि");

    /* Tests for language nl */
    selectLangId("nl");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Annuleren");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Druk op een volumeknop om te annuleren");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Annuleren");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Annuleren");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Bevestigen");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Druk op de aan/uit-knop om te bevestigen");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Druk twee keer op de aan/uit-knop om te bevestigen");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Lees de gegevens op dit scherm zorgvuldig door. Bevestig alleen als de informatie correct is.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Bevestiging van Android-beveiliging");

    /* Tests for language no */
    selectLangId("no");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Avbryt");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Trykk på en volumknapp for å avbryte");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Avbryt");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Avbryt");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Bekreft");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Trykk på av/på-knappen for å bekrefte");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Dobbelttrykk på av/på-knappen for å bekrefte");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Gå nøye gjennom informasjonen på denne skjermen. Bare bekreft hvis informasjonen er riktig.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android-beskyttet bekreftelse");

    /* Tests for language or */
    selectLangId("or");
    ASSERT_STR(lookup(TranslationId::CANCEL), "ବାତିଲ୍ କରନ୍ତୁ");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "କ୍ୟାନ୍ସଲ୍ କରିବା ପାଇଁ ଯେକୌଣସି ଭଲ୍ୟୁମ୍ ବଟନ୍‌କୁ ଦାବନ୍ତୁ");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "କ୍ୟାନ୍ସଲ୍‍ କରନ୍ତୁ");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "କ୍ୟାନ୍ସଲ୍‍ କରନ୍ତୁ");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "ସୁନିଶ୍ଚିତ କରନ୍ତୁ");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "ସୁନିଶ୍ଚିତ କରିବା ପାଇଁ ପାୱର୍‌ ବଟନ୍‌କୁ ଦାବନ୍ତୁ");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "ସୁନିଶ୍ଚିତ କରିବା ପାଇଁ ପାୱାର୍‍ ବଟନ୍‍କୁ ଦୁଇଥର ଦବାନ୍ତୁ");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "ଏହି ସ୍କ୍ରିନରେ ସତର୍କତାର ସହ ବିବରଣୀର ସମୀକ୍ଷା କରନ୍ତୁ। ଯଦି ସୂଚନା ସଠିକ୍ ଥାଏ ତେବେ କେବଳ ସୁନିଶ୍ଚିତ କରନ୍ତୁ।");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android ଦ୍ୱାରା ସୁରକ୍ଷିତ ହୋଇଥିବାର ସୁନିଶ୍ଚିତତା");

    /* Tests for language pa */
    selectLangId("pa");
    ASSERT_STR(lookup(TranslationId::CANCEL), "ਰੱਦ ਕਰੋ");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "ਰੱਦ ਕਰਨ ਲਈ ਕਿਸੇ ਵੀ ਵੌਲਿਊਮ ਬਟਨ ਨੂੰ ਦਬਾਓ");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "ਰੱਦ ਕਰੋ");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "ਰੱਦ ਕਰੋ");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "ਤਸਦੀਕ ਕਰੋ");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "ਪੁਸ਼ਟੀ ਕਰਨ ਲਈ ਪਾਵਰ ਬਟਨ ਦਬਾਓ");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "ਪੁਸ਼ਟੀ ਕਰਨ ਲਈ ਪਾਵਰ ਬਟਨ ਨੂੰ ਦੋ ਬਾਰ ਦੱਬੋ");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "ਇਸ ਸਕ੍ਰੀਨ ਦੇ ਵੇਰਵਿਆਂ ਦੀ ਧਿਆਨ ਨਾਲ ਸਮੀਖਿਆ ਕਰੋ। ਜਾਣਕਾਰੀ ਸਹੀ ਹੋਣ \'ਤੇ ਹੀ ਤਸਦੀਕ ਕਰੋ।");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android ਵੱਲੋਂ ਸੁਰੱਖਿਆ ਦੀ ਪੁਸ਼ਟੀ");

    /* Tests for language pl */
    selectLangId("pl");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Anuluj");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Naciśnij dowolny przycisk głośności, aby anulować");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Anuluj");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Anuluj");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Potwierdź");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Naciśnij przycisk zasilania, aby potwierdzić");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Kliknij dwukrotnie przycisk zasilania, by potwierdzić");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Sprawdź dokładnie informacje na tym ekranie. Potwierdź tylko, jeśli informacje są prawidłowe.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Zabezpieczone potwierdzenie w Androidzie");

    /* Tests for language pt */
    selectLangId("pt");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Pressione um dos botões de volume para cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Pressione o botão liga/desliga para confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Pressione o botão liga/desliga duas vezes para confirmar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Analise cuidadosamente os detalhes nesta tela. Só confirme se as informações estiverem corretas.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmação protegida pelo Android");

    /* Tests for language pt_BR */
    selectLangId("pt_BR");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Pressione um dos botões de volume para cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Pressione o botão liga/desliga para confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Pressione o botão liga/desliga duas vezes para confirmar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Analise cuidadosamente os detalhes nesta tela. Só confirme se as informações estiverem corretas.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmação protegida pelo Android");

    /* Tests for language pt_PT */
    selectLangId("pt_PT");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Prima qualquer botão de volume para cancelar.");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Cancelar");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Prima ligar/desligar para confirmar.");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Prima duas vezes ligar/desligar para confirmar.");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Reveja atentamente os detalhes neste ecrã. Apenas confirme se as informações estiverem corretas.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmação protegida do Android");

    /* Tests for language ro */
    selectLangId("ro");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Anulați");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Apăsați orice buton de volum pentru a anula");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Anulați");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Anulați");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Confirmați");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Apăsați butonul de pornire pentru a confirma");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Apăsați de două ori butonul de pornire pentru a confirma");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Examinați cu atenție detaliile de pe acest ecran. Confirmați numai dacă informațiile sunt corecte.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Confirmare protecție pentru Android");

    /* Tests for language ru */
    selectLangId("ru");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Отмена");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Для отмены нажмите на любую кнопку регулировки громкости.");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Отмена");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Отмена");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Подтвердить");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Для подтверждения нажмите кнопку питания.");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Для подтверждения дважды нажмите кнопку питания.");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Внимательно проверьте всю информацию на этой странице. Если данные верны, подтвердите их.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Подтверждение Android Protected");

    /* Tests for language si */
    selectLangId("si");
    ASSERT_STR(lookup(TranslationId::CANCEL), "අවලංගු කරන්න");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "අවලංගු කිරීමට ඕනෑම හඬ පරිමා බොත්තමක් ඔබන්න");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "අවලංගු කරන්න");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "අවලංගු කරන්න");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "තහවුරු කරන්න");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "තහවුරු කිරීමට බල බොත්තම ඔබන්න");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "තහවුරු කිරීමට බල බොත්තම දෙවරක් ඔබන්න");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "මෙම තිරයෙහි විස්තර සැලකිලිමත්ව සමාලෝචනය කරන්න. තොරතුරු නිවැරදි නම් පමණක් තහවුරු කරන්න.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android ආරක්ෂිත තහවුරු කිරීම");

    /* Tests for language sk */
    selectLangId("sk");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Zrušiť");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Zrušte stlačením ľubovoľného tlačidla hlasitosti");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Zrušiť");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Zrušiť");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Potvrdiť");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Potvrďte stlačením vypínača");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Potvrďte dvojitým stlačením vypínača");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Údaje na tejto obrazovke dôkladne skontrolujte. Potvrďte ich, iba ak sú správne.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Chránené potvrdenie Androidu");

    /* Tests for language sl */
    selectLangId("sl");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Prekliči");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Za preklic pritisnite poljuben gumb za glasnost");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Prekliči");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Prekliči");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Potrdi");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Za potrditev pritisnite gumb za vklop");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Dvakrat pritisnite za potrditev");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Pozorno preglejte podrobnosti na tem zaslonu. Potrdite samo, če so podatki pravilni.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Zaščitena potrditev v Androidu");

    /* Tests for language sq */
    selectLangId("sq");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Anulo");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Shtyp çdo buton volumi për ta anuluar");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Anulo");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Anulo");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Konfirmo");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Shtyp butonin e energjisë për të konfirmuar");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Shtyp dy herë butonin e energjisë për të konfirmuar");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Rishiko me kujdes detajet në këtë ekran. Konfirmo vetëm nëse informacioni është i saktë.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android Protected Confirmation");

    /* Tests for language sr */
    selectLangId("sr");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Откажи");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Притисните било које дугме за јачину звука да бисте отказали");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Откажи");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Откажи");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Потврди");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Притисните дугме за напајање да бисте потврдили");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Двапут притисните дугме за напајање да бисте потврдили");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Пажљиво прегледајте детаље на овом екрану. Потврдите само ако су информације тачне.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Потврда заштите на Android-у");

    /* Tests for language sr_Latn */
    selectLangId("sr_Latn");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Otkaži");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Pritisnite bilo koje dugme za jačinu zvuka da biste otkazali");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Otkaži");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Otkaži");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Potvrdi");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Pritisnite dugme za napajanje da biste potvrdili");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Dvaput pritisnite dugme za napajanje da biste potvrdili");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Pažljivo pregledajte detalje na ovom ekranu. Potvrdite samo ako su informacije tačne.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Potvrda zaštite na Android-u");

    /* Tests for language sv */
    selectLangId("sv");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Avbryt");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Avbryt genom att trycka på valfri volymknapp");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Avbryt");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Avbryt");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Bekräfta");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Bekräfta genom att trycka på strömbrytaren");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Bekräfta genom att trycka två gånger på avstängningsknappen");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Kontrollera informationen på den här skärmen noga. Bekräfta bara om informationen stämmer.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Bekräftelseskydd för Android");

    /* Tests for language sw */
    selectLangId("sw");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Ghairi");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Bonyeza kitufe chochote cha sauti ili ughairi");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Ghairi");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Ghairi");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Thibitisha");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Bonyeza kitufe cha kuwasha ili uthibitishe");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Bonyeza kitufe cha kuwasha mara mbili ili uthibitishe");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Kagua maelezo yaliyo kwenye skrini hii kwa umakini. Thibitisha tu iwapo maelezo ni sahihi.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Uthibitishaji Unaolindwa wa Android");

    /* Tests for language ta */
    selectLangId("ta");
    ASSERT_STR(lookup(TranslationId::CANCEL), "ரத்துசெய்");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "ரத்துசெய்ய, ஏதேனும் ஒலியளவு பட்டனை அழுத்தவும்");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "ரத்துசெய்");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "ரத்துசெய்");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "சரி");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "உறுதிப்படுத்த, பவரை அழுத்தவும்");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "உறுதிப்படுத்த, பவர் பட்டனை இருமுறை அழுத்தவும்");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "இந்தத் திரையில் தோன்றும் விவரங்களைக் கவனமாக மதிப்பாய்வு செய்யவும். தகவல் சரியாக இருந்தால் மட்டும் உறுதிப்படுத்தவும்.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android பாதுகாப்பு தொடர்பான உறுதிப்படுத்தல்");

    /* Tests for language te */
    selectLangId("te");
    ASSERT_STR(lookup(TranslationId::CANCEL), "రద్దు చేయి");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "రద్దు చేయడానికి ఏదైనా వాల్యూమ్ బటన్‌ను నొక్కండి");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "రద్దు చేయండి");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "రద్దు చేయండి");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "నిర్ధారించు");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "నిర్ధారించడానికి పవర్‌ను నొక్కండి");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "నిర్ధారించడానికి పవర్ బటన్‌ని రెండు సార్లు నొక్కండి");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "ఈ స్క్రీన్‌పై ఉన్న వివరాలను జాగ్రత్తగా రివ్యూ చేయండి. సమాచారం సరిగా ఉంటేనే నిర్ధారించండి.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android సురక్షిత నిర్ధారణ");

    /* Tests for language th */
    selectLangId("th");
    ASSERT_STR(lookup(TranslationId::CANCEL), "ยกเลิก");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "กดปุ่มปรับระดับเสียงเพื่อยกเลิก");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "ยกเลิก");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "ยกเลิก");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "ยืนยัน");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "กดปุ่มเปิด/ปิดเพื่อยืนยัน");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "กดปุ่มเปิด/ปิด 2 ครั้งเพื่อยืนยัน");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "ตรวจสอบรายละเอียดในหน้าจอนี้ให้ถี่ถ้วน ยืนยันเฉพาะเมื่อข้อมูลถูกต้องเท่านั้น");
    ASSERT_STR(lookup(TranslationId::TITLE), "ยืนยันการป้องกัน Android");

    /* Tests for language tl */
    selectLangId("tl");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Kanselahin");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Pindutin ang anumang button ng volume para kanselahin");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Kanselahin");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Kanselahin");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Kumpirmahin");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Pindutin ang power para kumpirmahin");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Pindutin nang dalawang beses ang power para kumpirmahin");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Suriing mabuti ang mga detalye sa screen na ito. Kumpirmahin lang kung tama ang impormasyon.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Pagkumpirmang Pinoprotektahan ng Android");

    /* Tests for language tr */
    selectLangId("tr");
    ASSERT_STR(lookup(TranslationId::CANCEL), "İptal");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "İptal etmek için herhangi bir ses düğmesine basın");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "İptal");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "İptal");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Onayla");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Onaylamak için güç düğmesine basın");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Onaylamak için güç düğmesine iki kez basın");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Bu ekrandaki ayrıntıları dikkatli bir şekilde inceleyin. Yalnızca bilgiler doğruysa onaylayın.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android Korumalı Onayı");

    /* Tests for language uk */
    selectLangId("uk");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Скасувати");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Натисніть будь-яку клавішу гучності, щоб скасувати");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Скасувати");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Скасувати");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Підтвердити");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Натисніть кнопку живлення, щоб підтвердити");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Двічі натисніть кнопку живлення, щоб підтвердити");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Уважно перевірте інформацію на екрані. Підтверджуйте, лише якщо все правильно.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Підтвердження Android Protected");

    /* Tests for language ur */
    selectLangId("ur");
    ASSERT_STR(lookup(TranslationId::CANCEL), "منسوخ کریں");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "منسوخ کرنے کے لئے کوئی بھی والیوم بٹن دبائیں");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "منسوخ کریں");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "منسوخ کریں");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "تصدیق کریں");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "تصدیق کرنے کے لئے پاور بٹن دبائیں");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "تصدیق کرنے کے لئے پاور بٹن دوبار دبائیں");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "اس اسکرین پر تفصیلات کا احتیاط کے ساتھ جائزہ لیں۔ صرف اس بات کی تصدیق کریں اگر معلومات درست ہے۔");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android کی تحفظ یافتہ تصدیق");

    /* Tests for language uz */
    selectLangId("uz");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Bekor qilish");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Bekor qilish uchun istalgan tovush tugmasini bosing");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Bekor qilish");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Bekor qilish");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Tasdiqlash");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Tasdiqlash uchun quvvat tugmasini bosing");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Tasdiqlash uchun quvvat tugmasini ikki marta bosing");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Bu ekrandagi batafsil axborotni diqqat bilan tekshiring. Axborot xatosiz boʻlsa, uni tasdiqlang.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android Protected nomli tasdiq");

    /* Tests for language vi */
    selectLangId("vi");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Hủy");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Nhấn vào nút âm lượng bất kỳ để hủy");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Hủy");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Hủy");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Xác nhận");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Nhấn vào nút nguồn để xác nhận");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Nhấn hai lần vào nút nguồn để xác nhận");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Xem lại kỹ thông tin chi tiết trên màn hình này. Chỉ xác nhận nếu thông tin đã chính xác.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Xác nhận bảo vệ Android");

    /* Tests for language zh */
    selectLangId("zh");
    ASSERT_STR(lookup(TranslationId::CANCEL), "取消");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "按任意音量按钮即可取消");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "取消");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "取消");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "确认");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "按电源按钮即可确认");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "连按两次电源按钮即可确认");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "仔细查看此屏幕上的详细信息。仅在信息正确无误时进行确认。");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android 保护确认");

    /* Tests for language zh_CN */
    selectLangId("zh_CN");
    ASSERT_STR(lookup(TranslationId::CANCEL), "取消");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "按任意音量按钮即可取消");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "取消");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "取消");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "确认");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "按电源按钮即可确认");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "连按两次电源按钮即可确认");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "仔细查看此屏幕上的详细信息。仅在信息正确无误时进行确认。");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android 保护确认");

    /* Tests for language zh_HK */
    selectLangId("zh_HK");
    ASSERT_STR(lookup(TranslationId::CANCEL), "取消");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "按下任何音量按鈕即可取消");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "取消");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "取消");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "確認");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "按下電源按鈕即可確認");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "按兩下電源按鈕即可確認");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "請仔細檢查此畫面上的詳細內容。確認前請確保資料正確。");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android 保護確認");

    /* Tests for language zh_TW */
    selectLangId("zh_TW");
    ASSERT_STR(lookup(TranslationId::CANCEL), "取消");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "按下任一音量按鈕即可取消操作");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "取消");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "取消");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "確認");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "按下電源按鈕即可確認操作");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "按兩下電源按鈕即可確認操作");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "請仔細檢視這個畫面上的詳細資料。確認前請務必確定資料正確無誤。");
    ASSERT_STR(lookup(TranslationId::TITLE), "Android 保護確認");

    /* Tests for language zu */
    selectLangId("zu");
    ASSERT_STR(lookup(TranslationId::CANCEL), "Hoxa");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL), "Cindezela noma iyiphi inkinobho yevolumu ukuze ukhansele");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_DOWN), "Khansela");
    ASSERT_STR(lookup(TranslationId::CANCEL_VOL_UP), "Khansela");
    ASSERT_STR(lookup(TranslationId::CONFIRM), "Qinisekisa");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON), "Cindezela amandla ukuze uqinisekise");
    ASSERT_STR(lookup(TranslationId::CONFIRM_PWR_BUTTON_DOUBLE_PRESS), "Cindezela kabili ukuze uqinisekise");
    ASSERT_STR(lookup(TranslationId::DESCRIPTION), "Buyekeza imininingwane kulesi sikrini ngokucophelela. Qinisekisa kuphela uma ulwazi lulungile.");
    ASSERT_STR(lookup(TranslationId::TITLE), "Ukuqinisekiswa okuvikelwe i-Android");

    /* Check language tag fallback mechanism works
       (chop off components until a match has been found) */
    const char* lang_ids[] = {
        "de",
        "da",
        "da-GL",
        "es-419",
        "es-AR",
        nullptr
    };
    ASSERT_STR(test_lang_id_match(lang_ids, "de"), "de");
    ASSERT_STR(test_lang_id_match(lang_ids, "de-DE"), "de");
    ASSERT_STR(test_lang_id_match(lang_ids, "de-CH-1901"), "de");
    ASSERT_STR(test_lang_id_match(lang_ids, "de-AT"), "de");
    ASSERT_STR(test_lang_id_match(lang_ids, "da-DK"), "da");
    ASSERT_STR(test_lang_id_match(lang_ids, "da-GL"), "da-GL");
    ASSERT_STR(test_lang_id_match(lang_ids, "zh"), "");
    ASSERT_STR(test_lang_id_match(lang_ids, "es-419"), "es-419");
    ASSERT_STR(test_lang_id_match(lang_ids, "es-AR"), "es-AR");
    ASSERT_STR(test_lang_id_match(lang_ids, "es"), "");

    printf("All unit tests passed.\n");
    return 0;
}
/* "common_typos_enable" this is to pacify the Lint bot. */
